import java.awt.Panel;
import java.awt.Label;
import java.awt.GridLayout;

public class ScorePanelLine extends Panel
{

    public int score = 0;
    public int life = 0;
    public int level = 0;
    public int bst = 0;
    Label lscore = new Label("",Label.CENTER);
    Label llife = new Label("",Label.CENTER);
    Label llevel = new Label("",Label.CENTER);
    Label lbst = new Label("",Label.CENTER);

    public ScorePanelLine()
    {
        this("1111");
    }

    public ScorePanelLine( String s )
    {
     int i = 0;
     int nb1 = 0;
     while ( i < s.length() )
       {
        if ( s.charAt(i++)=='1' )
          nb1++;
       }
     setLayout( new GridLayout(1,nb1*2) );
     if ( s.length() > 0 && s.charAt(0) == '1' )
       {
        add( new Label("Score",Label.CENTER) );
        add( lscore );
       }
     if ( s.length() > 1 && s.charAt(1) == '1' )
       {
        add( new Label("Level",Label.CENTER) );
        add( llevel );
       }
     if ( s.length() > 2 && s.charAt(2) == '1' )
       {
        add( new Label("Life",Label.CENTER) );
        add( llife );
       }
     if ( s.length() > 3 && s.charAt(3) == '1' )
       {
        add( new Label("Best",Label.CENTER) );
        add( lbst );
       }
    }



    public void setScore( int ns )
    {
        score = ns;
        lscore.setText(String.valueOf(score));
    }

    public void setLife( int i )
    {
        life = i;
        llife.setText(String.valueOf(life));
    }
    public void setLevel( int i )
    {
        level = i;
        llevel.setText(String.valueOf(level));
    }

    public void setBest( int i )
    {
        bst = i;
        lbst.setText(String.valueOf(bst));
    }

    public void addScore( int i )
    {
        setScore( score + i );
    }

    public void addLife( int i )
    {
        setLife( life + i );
    }

    /**
    *
    * This function update the best score
    *
    * @return true if the best score has been updated
    *
    */

    public boolean updateBest()
    {
        if ( bst < score )
          {
           setBest( score );
           return true;
          }
        return false;
    }


}
