import java.awt.*;
import java.applet.*;
import java.util.*;

public class SoundProvider
{
 Applet a;
 Object o = new Object();
 Hashtable sounds = new Hashtable();
 protected AudioClip ca = null; // Clip jou actuellement
 protected AudioClip cb = null; // Clip jou en fond
 protected String sb = null; // Nom du clip jou en fond
 protected boolean bpush = true; // Indique si un nouveau son remplace l'autre
 protected int sw; // Sound wait index
 
 public SoundProvider( Applet a )
 {
  this.a = a;
  sw = 0;
 }

 public void addSound( String s )
 {
  AudioClip c;
  c = a.getAudioClip( a.getCodeBase(), s+".au" );
  sounds.put(s,c);
  c.play();
  c.stop();
 }

 public void play( String s )
 {
  AudioClip c = ( AudioClip)sounds.get(s);
  if ( c == null ) return;
  stop();
  ca = c;
  c.play();
 }

/**
*
* @param s sound name
* @param delay, time to play
* @param bpush, replace the sound even if the delay is not over
*
*/

 public void playExclusive( String s, int delay, boolean bpush )
 {
  if ( sw > 0 && !bpush ) return;
  sw = delay;
  play(s);
 }
 
 public void decSoundWait()
 {
    if ( sw > 0 ) sw--;
 }
 
 public void stop()
  {
   if ( ca != null ) ca.stop();
   ca = null;
  }

 public void loop( String s )
   {
    AudioClip c = ( AudioClip)sounds.get(s);
    if ( c == null ) return;
    stop();
    ca = c;
    c.loop();
   }

 public void setBackSound( String s )
   {
    if ( sb != null && s.equals(sb) ) return; // C'est le mme son
    AudioClip c = ( AudioClip)sounds.get(s);
    if ( c == null ) return;
    stopBack();
    cb = c;
    cb.loop();
   }

 public void stopBack()
   {
    if ( cb != null ) cb.stop();
    cb = null;
    sb = null;
   }

}
