import java.applet.*;
import java.net.*;
import java.io.*;

/**
*
* Class avuf, update the best score of the Arcade Village site
*
* @author C Caissotti
* @since 01/2000
*
*/

public class avub
{
    Applet a;
    String il;
    String ig = null;
    int bst;
    /**
    *
    * Constructor
    * Update the param value by reading the applet parameters
    *
    * @param a, the applet using this class
    *
    */

    public avub( Applet a )
    {
        this.a = a;
        // Take the parameter, ie the langage id and the game id
        il = a.getParameter("il");
        if ( il == null ) il="1";
        ig = a.getParameter("ig");
    }

    public void getMinBest()
    {
     URL u;
     String s;
     if ( ig == null ) return;
     bst=5000;
     try
      {
       s = "http://www.arcadevillage.com/php3/get1best.php?id="+ig;
       u = new URL(s);
       BufferedReader bf = new BufferedReader( new InputStreamReader( u.openStream() ) );
       s = bf.readLine();
       if ( s != null || s.length() > 0 )
         {
           bst = Integer.parseInt(s);
         }
      }
     catch( Exception e )
      {
       System.out.println(e);
      }

    }

    public boolean bestChanged( int score )
    {
        if ( bst < score )
          {
           bst = score;
           return true;
          }
        return false;
    }

    /**
    *
    * Update the best score by calling Arcade Village php
    *
    * @param score, the score to test
    *
    */

    public void updateBest( int score )
    {
        updateBest(score,-1);
    }

    public void updateBest( int score, int level )
    {
        URL u;
        String s;
        if ( ig == null )
          {
           System.out.println("ig missing");
           return;
          }
        try
        {
         s = "http://www.arcadevillage.com/php3/testbest.php?id="+ig+"&score="+score;
         if ( level >= 0 )
           s = s+"&level="+String.valueOf(level);
         u = new URL(s);
         BufferedReader bf = new BufferedReader( new InputStreamReader( u.openStream() ) );
         s = "";
         while ( s != null && s.length() == 0 ) s = bf.readLine();
         if ( s == null ) return;
         if ( s.charAt(0) == '*' )
           {
            System.out.println(s);
            return;
           }
         // On est bon, on appelle le fichier d'entre des paramtres
         s = "http://www.arcadevillage.com/php3/parambest"+il+".php?ig="+ig+"&pos="+s+"&il="+il;
         u = new URL(s);
         a.getAppletContext().showDocument(u,"_blank");
        }
        catch( Exception e )
        {
            System.out.println(e);
        }

    }

  // This function verify that the applet is really on Arcade Village
  byte[] avs={104,116,116,112,58,47,47,119,119,119,46,97,114,99,97,100,101,118,105,108,108,97,103,101,46,99,111,109,-1};
  public boolean verif()
  {
   String s = a.getDocumentBase().toString();
//  String s = "http://www.arcadevillage.com";
   byte[] sb = s.getBytes();
   int i = 0;
   while( avs[i] > 0 && i < s.length() && avs[i] == sb[i] ) i++;

   return avs[i] == -1;
  }


}